<div class="content">
  <div fxLayout="row wrap" fxLayoutAlign="center center" fxLayoutGap="16px grid">
    <div fxFlex="32" fxFlex.sm="75" fxFlex.xs="100">
      <form [formGroup]="addProductForm" (ngSubmit)="addProductFormSubmit()" enctype="multipart/form-data">
        <mat-card class="mat-elevation-z5">
          <mat-card-header fxLayoutAlign="center">
            <mat-card-title>Add new product</mat-card-title>
            <button type="button" mat-icon-button color="warn" (click)="clearImg()"><mat-icon>image_not_supported</mat-icon></button>
          </mat-card-header>
          <mat-form-field color="accent" class="full-width">
            <input matInput placeholder="Product name" formControlName="name">
<!--            <mat-error>{{}}</mat-error>-->
          </mat-form-field>
          <mat-form-field color="accent" class="full-width">
            <mat-select placeholder="Category" formControlName="CategoryId">
              <mat-optgroup *ngFor="let group of groupService.groups | async" [label]="group.name">
                <mat-option *ngFor="let category of group.Categories" [value]="category.id">{{category.name}}</mat-option>
              </mat-optgroup>
            </mat-select>
          </mat-form-field>
          <img [src]="imgUrl" class="full-width">
          <input type="file" accept="image/jpeg,image/png,image/gif" (change)="chooseImg($event)">
          <mat-card-content>
            <mat-form-field color="accent" class="full-width">
              <input matInput placeholder="Product price" formControlName="price">
            </mat-form-field>
            <mat-form-field color="accent" appearance="outline" class="full-width">
              <mat-label>Details</mat-label>
              <textarea  name="content" matInput cdkTextareaAutosize formControlName="description"></textarea>
            </mat-form-field>
          </mat-card-content>
          <mat-card-actions>
            <button class="full-width" mat-raised-button color="primary">Add New Product</button>
          </mat-card-actions>
        </mat-card>
      </form>
    </div>

    <div fxFlex="32" fxFlex.sm="75" fxFlex.xs="100" fxLayoutGap="16px grid">
      <form [formGroup]="addCategoryForm" (ngSubmit)="addCategoryFormSubmit()">
        <mat-card class="mat-elevation-z5">
          <mat-card-header fxLayoutAlign="center">
            <mat-card-title>Add new category</mat-card-title>
          </mat-card-header>
          <mat-form-field color="accent" class="full-width">
            <input matInput placeholder="Category name" formControlName="name">
          </mat-form-field>
          <mat-card-content>
            <mat-form-field color="accent" class="full-width">
              <mat-select placeholder="Group" formControlName="GroupId">
                <mat-option *ngFor="let group of groupService.groups | async" [value]="group.id">{{group.name}}</mat-option>
              </mat-select>
            </mat-form-field>
            <mat-form-field color="accent" appearance="outline" class="full-width">
              <mat-label>Details</mat-label>
              <textarea  name="content" matInput cdkTextareaAutosize formControlName="description"></textarea>
            </mat-form-field>
          </mat-card-content>
          <mat-card-actions>
            <button class="full-width" mat-raised-button color="primary">Add New Category</button>
          </mat-card-actions>
        </mat-card>
      </form>

      <form [formGroup]="addGroupForm" (ngSubmit)="addGroupFormSubmit()" >
        <mat-card class="mat-elevation-z5">
          <mat-card-header fxLayoutAlign="center">
            <mat-card-title>Add new group</mat-card-title>
          </mat-card-header>
          <mat-form-field color="accent" class="full-width">
            <input matInput placeholder="Group name" formControlName="name">
          </mat-form-field>
          <mat-card-content>
            <mat-form-field color="accent" appearance="outline" class="full-width">
              <mat-label>Details</mat-label>
              <textarea  name="content" matInput cdkTextareaAutosize formControlName="description"></textarea>
            </mat-form-field>
          </mat-card-content>
          <mat-card-actions>
            <button class="full-width" mat-raised-button color="primary">Add New Group</button>
          </mat-card-actions>
        </mat-card>
      </form>
    </div>

  </div>
</div>






